org.eclipse.mat.inspections.collections

## Class HashEntriesQuery

- java.lang.Object
- - org.eclipse.mat.inspections.collections.HashEntriesQuery

All Implemented Interfaces:
  IQuery

    public class HashEntriesQuery
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `HashEntriesQuery.Result`

### Field Summary

Fields
`String` `array_attribute`
`String` `collection`
`String` `key_attribute`
`IHeapObjectArgument` `objects`
`ISnapshot` `snapshot`
`String` `value_attribute`

### Constructor Summary

Constructors
Constructor and Description
`HashEntriesQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HashEntriesQuery.Result` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### objects

    public IHeapObjectArgument objects

#### collection

    public String collection

#### array_attribute

    public String array_attribute

#### key_attribute

    public String key_attribute

#### value_attribute

    public String value_attribute

### Constructor Detail

#### HashEntriesQuery

    public HashEntriesQuery()

### Method Detail

#### execute

    public HashEntriesQuery.Result execute(IProgressListener listener)
                                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`